Summary:    An interactive packet manipulation tool and network scanner
Name:       scapy
Version:    2.6.1
Release:    %mkrel 3
Group:      Networking/Other
License:    GPLv2+
URL:        https://scapy.net/
Source:     https://github.com/secdev/scapy/archive/v%{version}/%name-%version.tar.gz
BuildArch:  noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tox)
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
Scapy is a powerful interactive packet manipulation program built on top
of the Python interpreter. It can be used to forge or decode packets of
a wide number of protocols, send them over the wire, capture them, match
requests and replies, and much more.

%package -n python3-%{name}
Summary:        Interactive packet manipulation tool and network scanner
Provides:       %{name}

%description -n python3-%{name}
Scapy is a powerful interactive packet manipulation program built on top
of the Python interpreter. It can be used to forge or decode packets of
a wide number of protocols, send them over the wire, capture them, match
requests and replies, and much more.

%prep
%setup -q

# Remove shebang
# https://github.com/secdev/scapy/pull/2332
SHEBANGS=$(find ./scapy -name '*.py' -print | xargs grep -l -e '^#!.*env python')
for FILE in $SHEBANGS ; do
    sed -i.orig -e 1d "${FILE}"
    touch -r "${FILE}.orig" "${FILE}"
    rm "${FILE}.orig"
done

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

make -C doc/scapy html BUILDDIR=_build_doc SPHINXBUILD=sphinx-build-3
rm -f doc/scapy/_build_doc/html/.buildinfo
rm -f doc/scapy/_build_doc/html/_static/_dummy

%install
%pyproject_install
%pyproject_save_files scapy

install -Dp -m0644 doc/scapy.1 %{buildroot}%{_mandir}/man1/scapy.1
rm -f %{buildroot}%{python3_sitelib}/*dist-info/requires.txt

%files -n python3-%{name} -f %{pyproject_files}
%doc LICENSE
%doc doc/scapy/_build_doc/html
%{_bindir}/scapy
%{_mandir}/man1/scapy.1*
%exclude %{python3_sitelib}/test/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.6.1-3.mga10
+ Revision: 2242868
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 2.6.1-2.mga10
+ Revision: 2160439
- rebuild for python3.13

* Fri Nov 29 2024 daviddavid <daviddavid> 2.6.1-1.mga10
+ Revision: 2119939
- new version: 2.6.1

* Sun Feb 25 2024 daviddavid <daviddavid> 2.5.0-2.mga10
+ Revision: 2044121
- rebuild for py3.12
- switch to pyproject

* Sat Jan 07 2023 guillomovitch <guillomovitch> 2.5.0-1.mga9
+ Revision: 1930963
- new version 2.5.0

* Wed Mar 23 2022 umeabot <umeabot> 2.4.5-3.mga9
+ Revision: 1823070
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 2.4.5-2.mga9
+ Revision: 1779432
- rebuild for python-3.10

* Sat May 01 2021 guillomovitch <guillomovitch> 2.4.5-1.mga9
+ Revision: 1720722
- new version 2.4.5

* Sat Mar 20 2021 guillomovitch <guillomovitch> 2.4.4-2.mga9
+ Revision: 1706169
- rebuild for python 3.9

* Thu Oct 22 2020 guillomovitch <guillomovitch> 2.4.4-1.mga8
+ Revision: 1638624
- new version 2.4.4

* Sun Feb 16 2020 umeabot <umeabot> 2.4.3-2.mga8
+ Revision: 1532140
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 guillomovitch <guillomovitch> 2.4.3-1.mga8
+ Revision: 1441686
- new version 2.4.3
- drop python2 support

* Wed Jul 24 2019 guillomovitch <guillomovitch> 2.4.2-1.mga8
+ Revision: 1423815
- new version 2.4.2

* Thu Jan 10 2019 shlomif <shlomif> 2.4.0-3.mga7
+ Revision: 1354286
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 2.4.0-2.mga7
+ Revision: 1291470
- Mageia 7 Mass Rebuild

* Sat May 12 2018 guillomovitch <guillomovitch> 2.4.0-1.mga7
+ Revision: 1228522
- new version 2.4.0
  provides python 2 and python 3 versions

* Tue Dec 13 2016 guillomovitch <guillomovitch> 2.3.3-1.mga6
+ Revision: 1074772
- new version 2.3.3

* Thu Sep 15 2016 guillomovitch <guillomovitch> 2.3.2-1.mga6
+ Revision: 1053188
- new version 2.3.2

* Thu Feb 18 2016 umeabot <umeabot> 2.3.1-2.mga6
+ Revision: 966579
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 guillomovitch <guillomovitch> 2.3.1-1.mga6
+ Revision: 846037
- new version 2.3.1

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-8.mga5
+ Revision: 742944
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.0-7.mga5
+ Revision: 730115
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-6.mga5
+ Revision: 689049
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.2.0-4.mga4
+ Revision: 544439
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2.0-3.mga4
+ Revision: 499847
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 381790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 21 2011 guillomovitch <guillomovitch> 2.2.0-1.mga2
+ Revision: 127684
- new version
+ saispo <saispo>
- imported package scapy


* Mon Apr 19 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 536859
- new release 2.1.1

* Thu Feb 04 2010 Michael Scherer <misc@mandriva.org> 2.1.0-1mdv2010.1
+ Revision: 500613
- update to 2.1.0

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 2.0.0.10-2mdv2010.0
+ Revision: 442817
- rebuild

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 2.0.0.10-1mdv2009.1
+ Revision: 332892
- Add BR
- New upstream release

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.1.1-3mdv2009.0
+ Revision: 242646
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 27 2007 Pascal Terjan <pterjan@mandriva.org> 1.1.1-1mdv2008.0
+ Revision: 56244
- 1.1.1
- 1.1.1
- Import scapy



* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 1.0.4-1mdk
- 1.0.4

* Wed Mar 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Thu Oct 27 2005 Michael Scherer <misc@mandriva.org> 1.0.1-1mdk
- New release 1.0.1
- mkrel, new url

* Tue Jan 11 2005 Michael Scherer <misc@mandrake.org> 0.9.17-2mdk 
- fix import of module when binary us used directly ( thanks blino for bugreport )

* Sat Aug 28 2004 Michael Scherer <misc@mandrake.org> 0.9.17-1mdk
- New release 0.9.17
- rpmbuildupdate aware

* Thu Mar 18 2004 Michael Scherer <misc@mandrake.org> 0.9.16-1mdk
- 0.9.16
 
* Tue Aug 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.14-2mdk
- nmap as a dependency

* Fri Aug 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.14-1mdk
- mandrakized original package from Dag Wieers <dag@wieers.com>

* Sat May 17 2003 Dag Wieers <dag@wieers.com> - 0.9.13-0.beta
- Initial package. (using DAR)
